#version 150

in vec3 Position;
in vec4 Color;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec4 vertexColor;

void main() {
    gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    vertexColor = Color;
    if(vertexColor.a <= 0.816 && vertexColor.a >= 0.752) {
        vertexColor.a *= 0.5;
    }
}
